Subject: Re: [PATCH] powerpc/rtas: retry when cpu offline races with suspend/migration

From: Nathan Lynch <[email-masked]>
Date: Tue, 25 Jun 2019 13:51:40 -0500

Juliet Kim <[email-masked]> writes:

> There's some concern this could retry forever, resulting in live lock.

First of all the system will make progress in other areas even if there
are repeated retries; we're not indefinitely holding locks or anything
like that.

Second, Linux checks the H_VASI_STATE result on every retry. If the
platform wants to terminate the migration (say, if it imposes a
timeout), Linux will abandon it when H_VASI_STATE fails to return
H_VASI_SUSPENDING. And it seems incorrect to bail out before that
happens, absent hard errors on the Linux side such as allocation
failures.